
void _efl_canvas_gesture_recognizer_custom_gesture_name_set(Eo *obj, Efl_Canvas_Gesture_Recognizer_Custom_Data *pd, const char *gesture_name);


static Eina_Error
__eolian_efl_canvas_gesture_recognizer_custom_gesture_name_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   const char *cval;
   if (!eina_value_string_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_gesture_recognizer_custom_gesture_name_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EVAS_API EVAS_API_WEAK EFL_VOID_FUNC_BODYV(efl_gesture_recognizer_custom_gesture_name_set, EFL_FUNC_CALL(gesture_name), const char *gesture_name);

const char *_efl_canvas_gesture_recognizer_custom_gesture_name_get(const Eo *obj, Efl_Canvas_Gesture_Recognizer_Custom_Data *pd);


static Eina_Value
__eolian_efl_canvas_gesture_recognizer_custom_gesture_name_get_reflect(const Eo *obj)
{
   const char *val = efl_gesture_recognizer_custom_gesture_name_get(obj);
   return eina_value_string_init(val);
}

EVAS_API EVAS_API_WEAK EFL_FUNC_BODY_CONST(efl_gesture_recognizer_custom_gesture_name_get, const char *, NULL);

void _efl_canvas_gesture_recognizer_custom_efl_object_destructor(Eo *obj, Efl_Canvas_Gesture_Recognizer_Custom_Data *pd);


Efl_Object *_efl_canvas_gesture_recognizer_custom_efl_object_finalize(Eo *obj, Efl_Canvas_Gesture_Recognizer_Custom_Data *pd);


const Efl_Class *_efl_canvas_gesture_recognizer_custom_efl_canvas_gesture_recognizer_type_get(const Eo *obj, Efl_Canvas_Gesture_Recognizer_Custom_Data *pd);


static Eina_Bool
_efl_canvas_gesture_recognizer_custom_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_CANVAS_GESTURE_RECOGNIZER_CUSTOM_EXTRA_OPS
#define EFL_CANVAS_GESTURE_RECOGNIZER_CUSTOM_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_gesture_recognizer_custom_gesture_name_set, _efl_canvas_gesture_recognizer_custom_gesture_name_set),
      EFL_OBJECT_OP_FUNC(efl_gesture_recognizer_custom_gesture_name_get, _efl_canvas_gesture_recognizer_custom_gesture_name_get),
      EFL_OBJECT_OP_FUNC(efl_destructor, _efl_canvas_gesture_recognizer_custom_efl_object_destructor),
      EFL_OBJECT_OP_FUNC(efl_finalize, _efl_canvas_gesture_recognizer_custom_efl_object_finalize),
      EFL_OBJECT_OP_FUNC(efl_gesture_recognizer_type_get, _efl_canvas_gesture_recognizer_custom_efl_canvas_gesture_recognizer_type_get),
      EFL_CANVAS_GESTURE_RECOGNIZER_CUSTOM_EXTRA_OPS
   );
   opsp = &ops;

   static const Efl_Object_Property_Reflection refl_table[] = {
      {"gesture_name", __eolian_efl_canvas_gesture_recognizer_custom_gesture_name_set_reflect, __eolian_efl_canvas_gesture_recognizer_custom_gesture_name_get_reflect},
   };
   static const Efl_Object_Property_Reflection_Ops rops = {
      refl_table, EINA_C_ARRAY_LENGTH(refl_table)
   };
   ropsp = &rops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_canvas_gesture_recognizer_custom_class_desc = {
   EO_VERSION,
   "Efl.Canvas.Gesture_Recognizer_Custom",
   EFL_CLASS_TYPE_REGULAR_NO_INSTANT,
   sizeof(Efl_Canvas_Gesture_Recognizer_Custom_Data),
   _efl_canvas_gesture_recognizer_custom_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_canvas_gesture_recognizer_custom_class_get, &_efl_canvas_gesture_recognizer_custom_class_desc, EFL_CANVAS_GESTURE_RECOGNIZER_CLASS, NULL);
